Bug 59988 - libpng10 should conflict with libpng < 1.2
libpng10 should conflict with libpng < 1.2
Product: Red Hat Linux
Classification: Retired
Component: libpng10 (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Depends On:
  Show dependency treegraph
Reported: 2002-02-18 06:20 EST by Göran Uddeborg
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-18 06:20:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2002-02-18 06:20:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20010901

Description of problem:
This is analogous to a previous problem in openssl, bug 49382.

Installing libpng10-1.0.12-4 when libpng-1.0.3-2 is already installed works
fine, but probably should not.  Both packages provide the same library:
libpng.so.2.  Since it is not exactly the same minor number, there is no file
collision, and probably nothing actually breaks.  But the situation is somewhat
confused and not very useful.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Have a previous libpng installed:
uebn> rpm -q libpng

2. Install the new libpng10:
uebn### rpm -U /mnt/cdrom/RedHat/RPMS/libpng10-1.0.12-4.i386.rpm

Actual Results:  The two versions of libpng both live side by side, providing
the same library:

uebn> ll /usr/lib/libpng.*
-rw-r--r--   1 root     root       133984 Mar 21  1999 /usr/lib/libpng.a
lrwxrwxrwx   1 root     root           11 Feb 16 19:47 /usr/lib/libpng.so ->
lrwxrwxrwx   1 root     root           18 Feb 18 11:51 /usr/lib/libpng.so.2 ->
-rwxr-xr-x   1 root     root       153756 Jan 30 18:41 /usr/lib/libpng.so.
-rwxr-xr-x   1 root     root       127533 Mar 21  1999 /usr/lib/libpng.so.

uebn> rpm -q --whatprovides libpng.so.2

Expected Results:  I think rpm should complain unless libpng has previously (or
simultaneously is) upgraded to 1.2

Additional info:

I would recommend a "conflicts: libpng < 1.2" in libpng10.
Comment 1 Bernhard Rosenkraenzer 2002-02-26 11:09:18 EST
You're right, conflict added in 1.0.12-5

Note You need to log in before you can comment on or make changes to this bug.